import os

SECRET_KEY = os.getenv("SECRET_KEY", "I hate Windchot")
ALGORITHM = "HS256"

LR_BASE_API = "/llankay/v1"

MAIL_USERNAME = os.getenv("MAIL_USERNAME")
MAIL_FROM = os.getenv("MAIL_FROM")
MAIL_PASSWORD = os.getenv("MAIL_PASSWORD")
MAIL_PORT = os.getenv("MAIL_PORT", 123)
MAIL_SERVER = os.getenv("MAIL_SERVER")
MAIL_USE_SSL = os.getenv("MAIL_USE_SSL", True)


SERVER_PORT = os.getenv("SERVER_PORT", 5000)
SERVER_IP = os.getenv("SERVER_IP", f"http://127.0.0.1:{SERVER_PORT}")
VALIDATION_ENDPOINT = os.getenv("VALIDATION_ENDPOINT", "/validate-email")
VALIDATION_MAIL_URL = f"{SERVER_IP}{VALIDATION_ENDPOINT}"

REGENERATE_PASSWORD = os.getenv("REGENERATE_PASSWORD", "/login/regenerate-password")
REGENERATION_PASSWORD_URL = f"{SERVER_IP}{REGENERATE_PASSWORD}"

RECOVER_PASSWORD_ENDPOINT = os.getenv("RECOVER_PASSWORD_ENDPOINT", "/recover-password")
RECOVER_PASSWORD_URL = f"{SERVER_IP}{RECOVER_PASSWORD_ENDPOINT}"

DEBUG_MAIL_VALIDATION = os.getenv("DEBUG_MAIL_VALIDATION", False)
